IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_200_modify_before]') AND type = 'P')
DROP PROCEDURE [dbo].[order_200_modify_before]
GO

-- 生成时间:2018-06-19 09:31:32 by ebs-core  
CREATE  procedure order_200_modify_before(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 --- #old 与 #new 在主体中已经生成
 
 ---- 以下是开发人员写的 before modify order 事件 --------------
 update c set ord_gh =(select cu_code from mps_employee where cu_id=@useruid ) from #new c 
 ---- 以上是开发人员写的 before modify order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

set nocount off 
end